VLCKit: VLCMediaDiscoverer Class Reference

VLCKit

Instance Methods | Class Methods | Properties | List of all members
VLCMediaDiscoverer Class Reference

`#import <VLCMediaDiscoverer.h>`

Inheritance diagram for VLCMediaDiscoverer:

## Instance Methods
(instancetype) | - initWithName:
(instancetype) | - initWithName:libraryInstance:
(int) | - startDiscoverer
(void) | - stopDiscoverer
(NSString *localizedName) | - __attribute__

## Class Methods
((deprecated) | + __attribute__
(NSArray *) | + availableMediaDiscovererForCategoryType:

## Properties
VLCLibrary * | libraryInstance
VLCMediaList * | discoveredMedia
BOOL | isRunning

## Detailed Description

VLCMediaDiscoverer

## Method Documentation

## ◆ __attribute__ [1/2]

- (NSString* localizedName) __attribute__ |  | ((deprecated)) |  |

localized name of the discovery module if available, otherwise in US English

Deprecated:
  Will be removed in the next major release, may return an empty string for binary compatibility

## ◆ __attribute__ [2/2]

+ ((deprecated) __attribute__ |  |  |

The full list of available media discoverers

Returns
  returns an empty array for binary compatibility, will be removed in subsequent releases

Deprecated:
  use availableMediaDiscovererForCategoryType instead

## ◆ availableMediaDiscovererForCategoryType:

+ (NSArray *) availableMediaDiscovererForCategoryType: |  | (VLCMediaDiscovererCategoryType) | categoryType |

Parameters

  categoryType | VLCMediaDiscovererCategory you are looking for

Returns
  an array of dictionaries describing the available discoverers for the requested type

## ◆ initWithName:

- (instancetype) initWithName: |  | (NSString *) | aServiceName |

Initializes new object with specified name.

Parameters

  aServiceName | Name of the service for this VLCMediaDiscoverer object.

Returns
  Newly created media discoverer.

Note
  with VLCKit 3.0 and above, you need to start the discoverer explicitly after creation

## ◆ initWithName:libraryInstance:

- (instancetype) initWithName: |  | (NSString *) | aServiceName
libraryInstance: |  | (VLCLibrary *) | libraryInstance

same as above but with a custom VLCLibrary instance

Note
  Using this mode can lead to a significant performance impact - use only if you know what you are doing

## ◆ startDiscoverer

- (int) startDiscoverer |  |  |

start media discovery

Returns
  -1 if start failed, otherwise 0

## ◆ stopDiscoverer

- (void) stopDiscoverer |  |  |

stop media discovery

## Property Documentation

## ◆ discoveredMedia

- (VLCMediaList*) discoveredMedia
| readatomicweak

a read-only property to retrieve the list of discovered media items

## ◆ isRunning

- (BOOL) isRunning
| readatomicassign

read-only property to check if the discovery service is active

Returns
  boolean value

## ◆ libraryInstance

- (VLCLibrary*) libraryInstance
| readnonatomicassign

The library instance used by the discoverers

Note
  unless for debug, you are wrong if you want to use this selector

The documentation for this class was generated from the following file:

- Headers/Public/VLCMediaDiscoverer.h